import request from '@/utils/request'

// 确认火炬，VOC系统
export function handleConfirmTorchvoc(data) {
  return request({
    url: '/pssr/torchvoc/confirmTorchvoc',
    method: 'put',
    data: data
  })
}

// 驳回火炬，VOC系统
export function handleTurnDownTorchvoc(data) {
  return request({
    url: '/pssr/torchvoc/turnDownTorchvoc',
    method: 'put',
    data: data
  })
}

// 查询火炬，VOC系统列表
export function listTorchvoc(query) {
  return request({
    url: '/pssr/torchvoc/list',
    method: 'get',
    params: query
  })
}

// 查询火炬，VOC系统详细
export function getTorchvoc(id) {
  return request({
    url: '/pssr/torchvoc/' + id,
    method: 'get'
  })
}

// 新增火炬，VOC系统
export function addTorchvoc(data) {
  return request({
    url: '/pssr/torchvoc',
    method: 'post',
    data: data
  })
}

// 修改火炬，VOC系统
export function updateTorchvoc(data) {
  return request({
    url: '/pssr/torchvoc',
    method: 'put',
    data: data
  })
}

//
export function updateTorchvocBatch(data) {
  return request({
    url: '/pssr/torchvoc/editBatch',
    method: 'put',
    data: data
  })
}


// 删除火炬，VOC系统
export function delTorchvoc(id) {
  return request({
    url: '/pssr/torchvoc/' + id,
    method: 'delete'
  })
}

// 导出火炬，VOC系统
export function exportTorchvoc(query) {
  return request({
    url: '/pssr/torchvoc/export',
    method: 'get',
    params: query
  })
}
